# -*- encoding: utf-8 -*-
# stub: azure_mgmt_datalake_store 0.17.2 ruby lib

Gem::Specification.new do |s|
  s.name = "azure_mgmt_datalake_store".freeze
  s.version = "0.17.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/Azure/azure-sdk-for-ruby/issues", "changelog_uri" => "https://github.com/Azure/azure-sdk-for-ruby/blob/master/ChangeLog.md", "documentation_uri" => "https://azure.microsoft.com/en-us/develop/ruby/", "homepage_uri" => "https://aka.ms/azure-sdk-for-ruby", "source_code_uri" => "https://github.com/Azure/azure-sdk-for-ruby/tree/master/management/azure_mgmt_datalake_store" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Microsoft Corporation".freeze]
  s.date = "2023-09-05"
  s.description = "Microsoft Azure Resource Provider DataLake Store Client Library for Ruby".freeze
  s.email = "azrubyteam@microsoft.com".freeze
  s.files = ["LICENSE.txt".freeze, "lib/2015-10-01-preview".freeze, "lib/2015-10-01-preview/generated".freeze, "lib/2015-10-01-preview/generated/azure_mgmt_datalake_store".freeze, "lib/2015-10-01-preview/generated/azure_mgmt_datalake_store.rb".freeze, "lib/2015-10-01-preview/generated/azure_mgmt_datalake_store/account.rb".freeze, "lib/2015-10-01-preview/generated/azure_mgmt_datalake_store/data_lake_store_account_management_client.rb".freeze, "lib/2015-10-01-preview/generated/azure_mgmt_datalake_store/models".freeze, "lib/2015-10-01-preview/generated/azure_mgmt_datalake_store/models/azure_async_operation_result.rb".freeze, "lib/2015-10-01-preview/generated/azure_mgmt_datalake_store/models/data_lake_store_account.rb".freeze, "lib/2015-10-01-preview/generated/azure_mgmt_datalake_store/models/data_lake_store_account_list_result.rb".freeze, "lib/2015-10-01-preview/generated/azure_mgmt_datalake_store/models/data_lake_store_account_properties.rb".freeze, "lib/2015-10-01-preview/generated/azure_mgmt_datalake_store/models/data_lake_store_account_state.rb".freeze, "lib/2015-10-01-preview/generated/azure_mgmt_datalake_store/models/data_lake_store_account_status.rb".freeze, "lib/2015-10-01-preview/generated/azure_mgmt_datalake_store/models/data_lake_store_firewall_rule_list_result.rb".freeze, "lib/2015-10-01-preview/generated/azure_mgmt_datalake_store/models/encryption_config.rb".freeze, "lib/2015-10-01-preview/generated/azure_mgmt_datalake_store/models/encryption_config_type.rb".freeze, "lib/2015-10-01-preview/generated/azure_mgmt_datalake_store/models/encryption_identity.rb".freeze, "lib/2015-10-01-preview/generated/azure_mgmt_datalake_store/models/encryption_identity_type.rb".freeze, "lib/2015-10-01-preview/generated/azure_mgmt_datalake_store/models/encryption_provisioning_state.rb".freeze, "lib/2015-10-01-preview/generated/azure_mgmt_datalake_store/models/encryption_state.rb".freeze, "lib/2015-10-01-preview/generated/azure_mgmt_datalake_store/models/error.rb".freeze, "lib/2015-10-01-preview/generated/azure_mgmt_datalake_store/models/error_details.rb".freeze, "lib/2015-10-01-preview/generated/azure_mgmt_datalake_store/models/firewall_rule.rb".freeze, "lib/2015-10-01-preview/generated/azure_mgmt_datalake_store/models/firewall_rule_properties.rb".freeze, "lib/2015-10-01-preview/generated/azure_mgmt_datalake_store/models/inner_error.rb".freeze, "lib/2015-10-01-preview/generated/azure_mgmt_datalake_store/models/key_vault_meta_info.rb".freeze, "lib/2015-10-01-preview/generated/azure_mgmt_datalake_store/models/operation_status.rb".freeze, "lib/2015-10-01-preview/generated/azure_mgmt_datalake_store/module_definition.rb".freeze, "lib/2016-11-01".freeze, "lib/2016-11-01/generated".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store.rb".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store/accounts.rb".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store/data_lake_store_account_management_client.rb".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store/firewall_rules.rb".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store/locations.rb".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store/models".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store/models/capability_information.rb".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store/models/check_name_availability_parameters.rb".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store/models/create_data_lake_store_account_parameters.rb".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store/models/create_firewall_rule_with_account_parameters.rb".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store/models/create_or_update_firewall_rule_parameters.rb".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store/models/create_or_update_trusted_id_provider_parameters.rb".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store/models/create_or_update_virtual_network_rule_parameters.rb".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store/models/create_trusted_id_provider_with_account_parameters.rb".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store/models/create_virtual_network_rule_with_account_parameters.rb".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store/models/data_lake_store_account.rb".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store/models/data_lake_store_account_basic.rb".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store/models/data_lake_store_account_list_result.rb".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store/models/data_lake_store_account_state.rb".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store/models/data_lake_store_account_status.rb".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store/models/encryption_config.rb".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store/models/encryption_config_type.rb".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store/models/encryption_identity.rb".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store/models/encryption_provisioning_state.rb".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store/models/encryption_state.rb".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store/models/firewall_allow_azure_ips_state.rb".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store/models/firewall_rule.rb".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store/models/firewall_rule_list_result.rb".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store/models/firewall_state.rb".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store/models/key_vault_meta_info.rb".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store/models/name_availability_information.rb".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store/models/operation.rb".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store/models/operation_display.rb".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store/models/operation_list_result.rb".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store/models/operation_origin.rb".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store/models/resource.rb".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store/models/sub_resource.rb".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store/models/subscription_state.rb".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store/models/tier_type.rb".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store/models/trusted_id_provider.rb".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store/models/trusted_id_provider_list_result.rb".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store/models/trusted_id_provider_state.rb".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store/models/update_data_lake_store_account_parameters.rb".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store/models/update_encryption_config.rb".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store/models/update_firewall_rule_parameters.rb".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store/models/update_firewall_rule_with_account_parameters.rb".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store/models/update_key_vault_meta_info.rb".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store/models/update_trusted_id_provider_parameters.rb".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store/models/update_trusted_id_provider_with_account_parameters.rb".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store/models/update_virtual_network_rule_parameters.rb".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store/models/update_virtual_network_rule_with_account_parameters.rb".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store/models/virtual_network_rule.rb".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store/models/virtual_network_rule_list_result.rb".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store/module_definition.rb".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store/operations.rb".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store/trusted_id_providers.rb".freeze, "lib/2016-11-01/generated/azure_mgmt_datalake_store/virtual_network_rules.rb".freeze, "lib/azure_mgmt_datalake_store.rb".freeze, "lib/module_definition.rb".freeze, "lib/profiles".freeze, "lib/profiles/latest".freeze, "lib/profiles/latest/datalakestore_latest_profile_client.rb".freeze, "lib/profiles/latest/datalakestore_module_definition.rb".freeze, "lib/profiles/latest/modules".freeze, "lib/profiles/latest/modules/datalakestore_profile_module.rb".freeze, "lib/version.rb".freeze]
  s.homepage = "https://aka.ms/azure-sdk-for-ruby".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.0.0".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Official Ruby client library to consume Microsoft Azure Resource Provider DataLake Store Management services.".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.9"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_development_dependency(%q<dotenv>.freeze, ["~> 2"])
    s.add_runtime_dependency(%q<ms_rest_azure>.freeze, ["~> 0.11.1"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.9"])
    s.add_dependency(%q<rake>.freeze, ["~> 10"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_dependency(%q<dotenv>.freeze, ["~> 2"])
    s.add_dependency(%q<ms_rest_azure>.freeze, ["~> 0.11.1"])
  end
end
